%global fontname cascadia
%global fontconf 60-%{fontname}-code-fonts.conf
%global fontconfmono 57-%{fontname}-mono-fonts.conf
%global fontconfmonopl 60-%{fontname}-mono-pl-fonts.conf
%global fontconfpl 60-%{fontname}-code-pl-fonts.conf

%bcond_with otf
%bcond_without ttf

%bcond_with static

Name:		%{fontname}-code-fonts
Summary:	A mono-spaced font designed for programming and terminal emulation
Version:	2009.22
Release:	%mkrel 1
License:	OFL
Group:		System/Fonts/True type
URL:		https://github.com/microsoft/cascadia-code/
Source0:	https://github.com/microsoft/cascadia-code/archive/v%{version}/cascadia-code-%{version}.tar.gz
Source1:	%{fontconf}
Source2:	%{fontname}-code.metainfo.xml
Source3:	%{fontconfmono}
Source4:	%{fontname}-mono.metainfo.xml
Source5:	%{fontconfmonopl}
Source6:	%{fontname}-mono-pl.metainfo.xml
Source7:	%{fontconfpl}
Source8:	%{fontname}-code-pl.metainfo.xml
Patch1:		ad49ee68744dd19af8a8ac7dbfa50ea1ada9f99b.patch
BuildArch:	noarch
BuildRequires:	ttfautohint
BuildRequires:	psautohint
BuildRequires:	python3-cffsubr
BuildRequires:	python3-fontmake
BuildRequires:	python3-statmake
BuildRequires:	python3-vttlib
BuildRequires:	fontpackages-devel

%description
Cascadia Code is a mono-spaced font designed to provide a fresh experience for
command line experiences and code editors. Notably, it supports programming
ligatures.

%package -n %{fontname}-mono-fonts
Summary:	A mono-spaced font family designed for terminal emulation

%description -n %{fontname}-mono-fonts
The Cascadia Mono font family is a variant of Cascadia Code, without
programming ligatures.

%package -n %{fontname}-mono-pl-fonts
Summary:	A mono-spaced font family with power line symbols

%description -n %{fontname}-mono-pl-fonts
The Cascadia Mono PL font family is a variant of Cascadia Code, without
programming ligatures, and with power line symbols.

%package -n %{fontname}-code-pl-fonts
Summary:	A mono-spaced font family with ligatures and power line symbols

%description -n %{fontname}-code-pl-fonts
The Cascadia Code PL font family is a variant of Cascadia Code, with power line
symbols.

%package -n %{fontname}-fonts-all
Summary:	A meta-package to enable easy installation of all Cascadia font families
Requires:	%{fontname}-code-fonts
Requires:	%{fontname}-code-pl-fonts
Requires:	%{fontname}-mono-fonts
Requires:	%{fontname}-mono-pl-fonts

%description -n %{fontname}-fonts-all
This is a meta-package which enables easy installation of all Cascadia font
families.

%prep
%setup -q -n %{fontname}-code-%{version}
%autopatch -p1

# correct end-of-line encoding
for i in OFL-FAQ.txt FONTLOG.txt README.md; do
	sed -i 's/\r//' $i
done

%build
%{__python3} %{py3_shbang_opts} build.py %{?with_static:--static-fonts}

%install
install -m 0755 -d %{buildroot}%{_fontbasedir}/%{fontname}-code-fonts/
install -m 0755 -d %{buildroot}%{_fontbasedir}/%{fontname}-code-pl-fonts/
install -m 0755 -d %{buildroot}%{_fontbasedir}/%{fontname}-mono-fonts/
install -m 0755 -d %{buildroot}%{_fontbasedir}/%{fontname}-mono-pl-fonts/

# OTF fonts
%if %{with otf}
install -m 0644 -p build/otf/CascadiaCode.otf %{buildroot}%{_fontbasedir}/%{fontname}-code-fonts/
install -m 0644 -p build/otf/CascadiaCodePL.otf %{buildroot}%{_fontbasedir}/%{fontname}-code-pl-fonts/
install -m 0644 -p build/otf/CascadiaMono.otf %{buildroot}%{_fontbasedir}/%{fontname}-mono-fonts/
install -m 0644 -p build/otf/CascadiaMonoPL.otf %{buildroot}%{_fontbasedir}/%{fontname}-mono-pl-fonts/
%endif

# TTF fonts
%if %{with ttf}
install -m 0644 -p build/ttf/CascadiaCode.ttf %{buildroot}%{_fontbasedir}/%{fontname}-code-fonts/
install -m 0644 -p build/ttf/CascadiaCodePL.ttf %{buildroot}%{_fontbasedir}/%{fontname}-code-pl-fonts/
install -m 0644 -p build/ttf/CascadiaMono.ttf %{buildroot}%{_fontbasedir}/%{fontname}-mono-fonts/
install -m 0644 -p build/ttf/CascadiaMonoPL.ttf %{buildroot}%{_fontbasedir}/%{fontname}-mono-pl-fonts/
%endif

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/
install -m 0644 -p %{SOURCE3} %{buildroot}%{_fontconfig_templatedir}/
install -m 0644 -p %{SOURCE5} %{buildroot}%{_fontconfig_templatedir}/
install -m 0644 -p %{SOURCE7} %{buildroot}%{_fontconfig_templatedir}/

ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconfmono} %{buildroot}%{_fontconfig_confdir}/%{fontconfmono}
ln -s %{_fontconfig_templatedir}/%{fontconfmonopl} %{buildroot}%{_fontconfig_confdir}/%{fontconfmonopl}
ln -s %{_fontconfig_templatedir}/%{fontconfpl} %{buildroot}%{_fontconfig_confdir}/%{fontconfpl}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/appdata/%{fontname}-code.metainfo.xml
install -Dm 0644 -p %{SOURCE4} %{buildroot}%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE6} %{buildroot}%{_datadir}/appdata/%{fontname}-mono-pl.metainfo.xml
install -Dm 0644 -p %{SOURCE8} %{buildroot}%{_datadir}/appdata/%{fontname}-code-pl.metainfo.xml

%files -n %{fontname}-code-fonts
%license LICENSE
%doc FONTLOG.txt OFL-FAQ.txt README.md
%{_datadir}/appdata/%{fontname}-code.metainfo.xml
%dir %{_fontbasedir}/%{fontname}-code-fonts/
%{_fontbasedir}/%{fontname}-code-fonts/CascadiaCode.*
%{_fontconfig_templatedir}/%{fontconf}
%config(noreplace) %{_fontconfig_confdir}/%{fontconf}

%files -n %{fontname}-code-pl-fonts
%license LICENSE
%doc FONTLOG.txt OFL-FAQ.txt README.md
%{_datadir}/appdata/%{fontname}-code-pl.metainfo.xml
%dir %{_fontbasedir}/%{fontname}-code-pl-fonts/
%{_fontbasedir}/%{fontname}-code-pl-fonts/CascadiaCodePL.*
%{_fontconfig_templatedir}/%{fontconfpl}
%config(noreplace) %{_fontconfig_confdir}/%{fontconfpl}

%files -n %{fontname}-mono-fonts
%license LICENSE
%doc FONTLOG.txt OFL-FAQ.txt README.md
%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
%dir %{_fontbasedir}/%{fontname}-mono-fonts/
%{_fontbasedir}/%{fontname}-mono-fonts/CascadiaMono.*
%{_fontconfig_templatedir}/%{fontconfmono}
%config(noreplace) %{_fontconfig_confdir}/%{fontconfmono}

%files -n %{fontname}-mono-pl-fonts
%license LICENSE
%doc FONTLOG.txt OFL-FAQ.txt README.md
%{_datadir}/appdata/%{fontname}-mono-pl.metainfo.xml
%dir %{_fontbasedir}/%{fontname}-mono-pl-fonts/
%{_fontbasedir}/%{fontname}-mono-pl-fonts/CascadiaMonoPL.*
%{_fontconfig_templatedir}/%{fontconfmonopl}
%config(noreplace) %{_fontconfig_confdir}/%{fontconfmonopl}

%files -n %{fontname}-fonts-all


%changelog
* Tue Dec 15 2020 wally <wally> 2009.22-1.mga8
+ Revision: 1657892
- new version 2009.22
- ship upstream recommended variable .ttf fonts

* Fri Jul 24 2020 wally <wally> 2007.01-1.mga8
+ Revision: 1608666
- new version 2007.01

* Sun May 17 2020 wally <wally> 2005.15-1.mga8
+ Revision: 1585036
- add rpm group
- import based on .spec from Fedora

